Get report
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-12-25",
"deploymentId": 123,
"id": 123,
"name": "<string>",
"publicId": "<string>",
"refreshedByUser": {
"email": "<string>",
"id": 123,
"firstName": "<string>",
"picture": "<string>"
},
"updatedAt": "2023-12-25",
"user": {
"email": "<string>",
"id": 123,
"firstName": "<string>",
"picture": "<string>"
},
"userId": 123,
"canEdit": true,
"canManage": true,
"createdBy": 123,
"description": "<string>",
"endResultCell": "<string>",
"externalWorkbookId": "<string>",
"externalWorkbookPlacements": [
{
"resultLocation": "<string>",
"workbookId": "<string>",
"endResultCell": "<string>"
}
],
"folderId": 123,
"folderPath": [
{
"id": 123,
"name": "<string>"
}
],
"jsonQuery": "<string>",
"meta": {},
"pivotItems": {
"columns": [
"<string>"
],
"filters": [
"<string>"
],
"measures": [
"<string>"
],
"rows": [
"<string>"
]
},
"refreshedBy": 123,
"resultLocation": "<string>",
"rolesWithAccess": [
{
"actions": [],
"id": 123,
"name": "<string>"
}
],
"sqlQuery": "<string>",
"title": "<string>",
"version": 123,
"workbookId": 123
}Reports
Get report
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
reports
/
{reportId}
Get report
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Response
200 - application/json
Required string length:
12Pattern:
^[0-9A-Za-z]+$Show child attributes
Show child attributes
Available options:
FOLDER, WORKBOOK, REPORT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
GOOGLE_SHEETS, EXCEL, PLAYGROUND, D3 ⌘I